controllers:
    resource: ../src/Controller/
    type: attribute
routeInscription:
    path: /inscription
    controller: App\Controller\CompteController::inscriptionPage
instrumentAjouter:
    path: /instrument/ajouter
    controller: App\Controller\InstrumentController::ajouterInstrument
instrumentConsulter:
    path: /instrument/consulter/{id}
    controller: App\Controller\InstrumentController::consulterInstrument
instrumentLister:
    path: /instrument/lister
    controller: App\Controller\InstrumentController::listerInstrument
classeInstrumentConsulter:
    path: /classeInstrument/ajouter/
    controller: App\Controller\ClasseInstrumentController::ajouterClasseInstrument
routeAdherentConsultationInformation:
    path: /compte/consulter/{id}
    controller: App\Controller\CompteController::consulterInformation
consulterCours:
    path: /cours/consulter/{id}
    controller: App\Controller\CoursController::consulterCours
listerCours:
    path: /cours/lister
    controller: App\Controller\CoursController::listerCours
loginPage:
    path: /login
    controller: App\Controller\LoginController::index
indexPage:
    path: /
    controller: App\Controller\IndexController::accueil
accueilPage:
    path: /accueil
    controller: App\Controller\IndexController::accueil
modifierInformationCompte:
    path: /compte/modifier
    controller: App\Controller\CompteController::modifierInformationCompte
app_logout:
    path: /logout
    methods: GET
eleveAjouter:
    path: /eleve/ajouter
    controller: App\Controller\EleveController::ajouter
eleveConsulter:
    path: /eleve/consulter/{id}
    controller: App\Controller\EleveController::consulterEleve
etudiantLister:
    path: /eleve/lister/{id}
    controller: App\Controller\EleveController::listerEleve
responsableAjouter:
    path: /responsable/ajouter
    controller: App\Controller\ResponsableController::ajouter
responsableConsulter:
    path: /responsable/consulter/{id}
    controller: App\Controller\ResponsableController::consulterResponsable
responsableLister:
    path: /responsable/lister/{id}
    controller: App\Controller\ResponsableController::listerResponsable
inscriptionAjouter:
    path: /inscription/ajouter
    controller: App\Controller\InscriptionController::ajouter
inscriptionConsulter:
    path: /inscription/consulter/{id}
    controller: App\Controller\InscriptionController::consulterInscription
inscriptionLister:
    path: /inscription/lister/{id}
    controller: App\Controller\InscriptionController::listerInscription
coursAjouter:
    path: /cours/ajouter
    controller: App\Controller\CoursController::ajouter
coursConsulter:
    path: /cours/consulter/{id}
    controller: App\Controller\CoursController::consultercours
coursLister:
    path: /cours/lister/{id}
    controller: App\Controller\CoursController::listercours
professeurAjouter:
    path: /professeur/ajouter
    controller: App\Controller\AdministrateurController::ajouterProfesseur
professeurConsulter:
    path: /professeur/consulter/{id}
    controller: App\Controller\AdministrateurController::consulterProfesseur
professeurLister:
    path: /professeur/lister/{id}
    controller: App\Controller\ProfesseurController::listerprofesseur
adminIndexPage:
    path: /admin/index
    controller: App\Controller\AdminController::indexAdmin
adminListerUtilisateurs:
    path: /admin/listerUtilisateurs
    controller: App\Controller\AdminController::listerUtilisateurs
consulterPlanning:
    path: /planning/{id}
    controller: App\Controller\CoursController::monPlanning
accessAccount:
    path: /compte/updateAccess
    controller: App\Controller\AdminController::cartUpdateAction
adminUpdateAccount:
    path: /admin/modifierutilisateur/{id}
    controller: App\Controller\AdminController::updateAccountUser
coursInscription:
    path: /cours/inscription/{id}
    controller: App\Controller\CoursController::inscriptionCours
ajouterInscriptionCours:
    path: /cours/ajouterInscription
    controller: App\Controller\CoursController::ajouterInscription
inscriptionCours:
    path: /cours/inscriptionCours
    controller: App\Controller\CoursController::inscriptionCoursFunc
verificationEtatCompte:
    path: /compte/verifierEtat
    controller: App\Controller\CompteController::verificationEtatCompte
listerProfesseurs:
    path: /admin/listerProfesseurs
    controller: App\Controller\AdminController::listerProfesseurs
adminListerInstruments:
    path: /admin/listerInstruments
    controller: App\Controller\AdminController::listerInstruments
adminListerCours:
    path: /admin/listerCours
    controller: App\Controller\AdminController::listerCours
modifierCours:
    path: /admin/modifierCours/{id}
    controller: App\Controller\AdminController::modifierCours
